/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package turgen.plugin;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import turgen.playlist.AbstractPlayListItem;

/**
 *
 * 
 */
public class DummyPlaylistItem extends AbstractPlayListItem {

    
    public String toString() {
        return "";
    }

    
    public boolean validate() {
        return true;
    }
    
    public AbstractPlayListItem getClonedCopy() {
        DummyPlaylistItem itemCopy = new DummyPlaylistItem();
        itemCopy.inFile=inFile;
        itemCopy.outFile=outFile;
        copyBasics(itemCopy);
        return itemCopy;
    }

    
    public void saveToStream(DataOutputStream dos) throws Exception {
        
    }

    
    public void loadFromStream(DataInputStream dos, int version) throws Exception {
        
    }

}
